<?php
require_once('../config/linequest.php');

function cleanTitle ($title) {
    $clearstring = filter_var($title, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $clearstring = trim(preg_replace("/[^a-zA-Z0-9 ]/",'',$clearstring));
    $clearstring = trim(preg_replace("/[[:space:]]+/",'_',$clearstring));
    return strtolower($clearstring);
 }

function generateURI ($path) {
   global $CFG;
   return $CFG->server_uri.$path;
}
