<?php
require_once('../templates/templates.php');
require_once('../controller/forms.php');
require_once('../controller/validator.php');

if (!empty($_GET)) {
    Validator::check(['id'], $_GET);
    $id = Validator::str($_GET['id']);
    try {
        $context = getFormThanks($id);
        $template = getTemplate('thanks.html');
        echo parseTemplate($template,$context);
    } catch (Exception $e) {
        http_response_code(404);
        exit;
    }
} else {
    header('Location: /');
}
